View Issue Details

IDProjectCategoryView StatusLast Update
0003837SOGoWeb Calendarpublic2018-04-27 06:10
Reporterma@gtt-technologies.de Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version12.04 LTS
Product Versionnightly v2 
Fixed in Version3.2.1 
Summary0003837: Conflict error by adding two concurent entries in a shared calendar
Description

We use SOGo V3.2.0 nightly build. Since a few weeks we are not able to add two entries which have conflict in shared calendar. It shows Conflict error and does not add the second entry.
It is clearly a problem when there is a whole-day event in a common calendar, and another event also exists in the same day.

Steps To Reproduce

Simply add a whole-day event in a shared calendar, and then try to add another entry in the same day into the same common calendar.

TagsNo tags attached.

Activities

Christian Mack

Christian Mack

2016-10-13 03:02

developer   ~0010734

Just to clarify.
You have write access to the shared calender and want to add another event, while there is already one in that same shared calendar?
Or do you want to add an event to another calendar while there is an event in a shared one?

ma@gtt-technologies.de

ma@gtt-technologies.de

2016-10-13 03:17

reporter   ~0010735

The former. I have the write access to the shared calendar and want to add an event in a time slot that another event of the same calendar already covered a part or the whole.

ma@gtt-technologies.de

ma@gtt-technologies.de

2016-10-24 09:44

reporter   ~0010785

Why there is no fix in recent updates?!

pabelenda

pabelenda

2016-10-26 08:05

reporter   ~0010789

Happening here also.

I have upgraded recently from 3.1.4 version into 3.2.0

3.1.4 version showed conflict message, but allowed us to create the event anyway.

pabelenda

pabelenda

2016-10-31 09:11

reporter   ~0010799

Today, I've downgraded my setup into 3.1.4 version.

As stated on my previous comment, conflict messages are shown, but SOGo still allowing me to create the event.

Is this helpful on any way?

ma@gtt-technologies.de

ma@gtt-technologies.de

2016-10-31 10:22

reporter   ~0010800

In my case, SOGo does not allow to create any event which has conflict in a shared calendar!
I am still waiting for the fix in the next updates...

pabelenda

pabelenda

2016-11-01 04:40

reporter   ~0010801

On my understanding, this is clearly a regression introduced on 3.1.5 (which I didn't tested) or 3.2.0 (which is failing you and has been failing me for a couple of days)

I'll try to test 3.1.5 and see if I can narrow things a bit.

francis

francis

2016-11-01 12:05

administrator   ~0010802

Conflicts are only handled for resources, so you're trying to invite a resource that has reach its maximum simultaneous bookings limit.

The error displayed in the Web interface has been fixed a few days ago.

pabelenda

pabelenda

2016-11-01 12:17

reporter   ~0010803

Many thanks for the answer Francis.

FWIW, I am not using resources. What I do is:

Create an event on my calendar and invite a user who has appointments already created on this day and time frame.

As I said, on 3.1.4 conflicts are shown, but I can save the task anyway. On 3.2.0, I cannot do such thing.

So, should I expect this to be fixed on the 3.2.1 release? Is there any place I can check the release status and/or release dates?

Many thanks for the answer and the outstanding developing sogo

francis

francis

2016-11-01 15:45

administrator   ~0010805

Try the latest nightly build. It has been fixed.

pabelenda

pabelenda

2016-11-02 04:18

reporter   ~0010806

Last edited: 2016-11-02 04:39

Indeed it is fixed on the nightly build. Thanks!

So, I guess this fix is going to be included on 3.2.1, am I right? Is there any candidate date or so?

Again, many many thanks.

ma@gtt-technologies.de

ma@gtt-technologies.de

2016-11-02 06:07

reporter   ~0010807

Thank you,
finally it was solved. Now I get a warning message when there is a conflict between events in a shared calendar, and then I'm able to save the second event too.
I can confirm it as resolved.

francis

francis

2016-11-02 06:38

administrator   ~0010808

https://github.com/inverse-inc/sogo/commit/5208e46d100612bff2eb3933db9d7428ae6a9b53

Issue History

Date Modified Username Field Change
2016-10-12 07:11 ma@gtt-technologies.de New Issue
2016-10-13 03:02 Christian Mack Note Added: 0010734
2016-10-13 03:17 ma@gtt-technologies.de Note Added: 0010735
2016-10-24 09:44 ma@gtt-technologies.de Note Added: 0010785
2016-10-26 08:05 pabelenda Note Added: 0010789
2016-10-31 09:11 pabelenda Note Added: 0010799
2016-10-31 10:22 ma@gtt-technologies.de Note Added: 0010800
2016-11-01 04:40 pabelenda Note Added: 0010801
2016-11-01 12:05 francis Note Added: 0010802
2016-11-01 12:17 pabelenda Note Added: 0010803
2016-11-01 15:45 francis Note Added: 0010805
2016-11-02 04:18 pabelenda Note Added: 0010806
2016-11-02 04:39 pabelenda Note Edited: 0010806
2016-11-02 06:07 ma@gtt-technologies.de Note Added: 0010807
2016-11-02 06:38 francis Note Added: 0010808
2016-11-02 06:38 francis Status new => resolved
2016-11-02 06:38 francis Fixed in Version => 3.2.1
2016-11-02 06:38 francis Resolution open => fixed
2016-11-02 06:38 francis Assigned To => francis